import React from "react";
import { makeStyles } from "@material-ui/core/styles";
import { TextField, InputAdornment } from "@material-ui/core";
import { AccountCircleOutlined, LockOutlined } from "@material-ui/icons";

const useStyles = makeStyles(theme => ({
  margin: {
    margin: theme.spacing(1)
  }
}));

const LoginComponent = () => {
  const classes = useStyles();
  return (
    <div>
      <TextField
        className={classes.margin}
        id="username"
        label="Username"
        InputProps={{
          startAdornment: (
            <InputAdornment position="start">
              <AccountCircleOutlined />
            </InputAdornment>
          )
        }}
      />
      <br />
      <TextField
        className={classes.margin}
        id="password"
        label="Password"
        InputProps={{
          startAdornment: (
            <InputAdornment position="start">
              <LockOutlined />
            </InputAdornment>
          )
        }}
      />
    </div>
  );
};

export default LoginComponent;
